summaryrefslogtreecommitdiff
path: root/dev-libs
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-09-08 03:04:52 -0500
committerroot <root@alpha.trunkmasters.com>2026-09-08 03:04:52 -0500
commit23850c0a8390d403a1fe131e47265df579818dd5 (patch)
treee7ae85db09fa5d472795ee07ec0632e45b9bee0e /dev-libs
parent8453817910bc2afbb7ab1fbf61c3f06fb7320f35 (diff)
downloadbaldeagleos-repo-23850c0a8390d403a1fe131e47265df579818dd5.tar.gz
baldeagleos-repo-23850c0a8390d403a1fe131e47265df579818dd5.tar.xz
baldeagleos-repo-23850c0a8390d403a1fe131e47265df579818dd5.zip
Adding metadata
Diffstat (limited to 'dev-libs')
-rw-r--r--dev-libs/hiredis/Manifest4
-rw-r--r--dev-libs/hiredis/hiredis-1.1.1.ebuild96
-rw-r--r--dev-libs/hiredis/hiredis-1.2.1.ebuild92
-rw-r--r--dev-libs/hiredis/hiredis-1.3.1.ebuild92
-rw-r--r--dev-libs/hiredis/hiredis-1.4.1.ebuild92
-rw-r--r--dev-libs/kobweb-bin/Manifest2
-rw-r--r--dev-libs/kobweb-bin/kobweb-bin-0.9.23.ebuild (renamed from dev-libs/kobweb-bin/kobweb-bin-0.9.21.ebuild)0
-rw-r--r--dev-libs/libassuan/files/libassuan-3.0.0-remove-putc.patch28
-rw-r--r--dev-libs/libassuan/libassuan-3.0.0-r1.ebuild1
-rw-r--r--dev-libs/libassuan/libassuan-3.0.1-r1.ebuild1
-rw-r--r--dev-libs/sirit/Manifest2
-rw-r--r--dev-libs/sirit/sirit-1.0.7.ebuild (renamed from dev-libs/sirit/sirit-1.0.4.ebuild)2
-rw-r--r--dev-libs/tree-sitter-javascript/tree-sitter-javascript-0.25.0.ebuild4
-rw-r--r--dev-libs/tree-sitter-python/tree-sitter-python-0.25.0.ebuild4
-rw-r--r--dev-libs/unordered_dense/Manifest1
-rw-r--r--dev-libs/unordered_dense/unordered_dense-4.9.2.ebuild30
-rw-r--r--dev-libs/xdna-driver/xdna-driver-999999.ebuild7
17 files changed, 448 insertions, 10 deletions
diff --git a/dev-libs/hiredis/Manifest b/dev-libs/hiredis/Manifest
index e7d74dfb65ba..0a386eeceb8f 100644
--- a/dev-libs/hiredis/Manifest
+++ b/dev-libs/hiredis/Manifest
@@ -1,4 +1,8 @@
DIST hiredis-1.0.2.tar.gz 98139 BLAKE2B 86d872cfec3d4e925d5d68e4f4faf1301aa6d706bd0406a8080471e14afc2c25db13b9a0937d29baccd457611af8e46922b5379183c7470c9ae1860aac3af096 SHA512 86497a1c21869bbe535378885eee6dbd594ef96325966511a3513f81e501af0f5ac7fed864f3230372f3ac7a23c05bad477fa5aa90b9747c9fb1408028174f9b
DIST hiredis-1.1.0.tar.gz 122002 BLAKE2B 74c23816e59ea241c68640f99970ae68536a1cd605ac1a7146bf52e355f5f74b3d39fb81be02741cf776c06b47b9d5acc7ec66bfdcf802dec3ed68fb28a82b1b SHA512 9dad012c144ed24de6aa413a3a10d19a9d0d9ece18dbc388406cd86c5b98cb66c76c586cb559c601ed13a75051d8921dc2882534cc3605513fde47d57276c3bb
+DIST hiredis-1.1.1.tar.gz 124410 BLAKE2B 00437a1e6ef3050e78cf4c7a316715448d708e54f8946c0303271c7cc97c8398e171c411ba191f8c90d3ad49d1b3401e2ac1c0752c3d062e55e20f9ef70d11cc SHA512 81a2d6293cc135f11efbb390ab2a46c6831e6f2b36c99948a16d0f991267d4e5810a3c1b4b93b3a86b321645593ddf9e634895af34d34f73561fe4ec349891c0
DIST hiredis-1.2.0.tar.gz 126216 BLAKE2B 3f0b74205fb4ceb42fb4c1700a9bf95cf2ad2d9880ee1f2da9cbed6096cde5e918b01465ce9d6ec1b29b5934cfa6ab41000ed344a9983cebe6bd1bf64ac0ede1 SHA512 f8984abb29c09e7e6b56e656616c5155f36c53da4161a2d4c85688486411cadcdf20aa1adb9bda208c500b401c750871be1c8d58ba9df5328634d00e9d1b6589
+DIST hiredis-1.2.1.tar.gz 128766 BLAKE2B cf77fc0f4e5a711059a0b84de5239a6e1e18c03ba7c59f73e39efd11f4c8d86ac32f5cf14d7a5119fd8e4341050c5a64009f3bfcc292765440d46c39d3513b4a SHA512 51f4a11199d9fc77121c65e211c7e8d802de9180bfbd7130851be63c5625aaaab2da7aa9614c292ee76ccccb5bff5fbfba37aa231f6e93af9c086b0b96c45603
DIST hiredis-1.3.0.tar.gz 124013 BLAKE2B 8553e08c07f8c9e62f9acaa861a365ee701c3c41c9e187c897c18cddd47a06c6722c458e73fbad5b4ef2938eb5e9ad943428177fd7296a962d6643ae7274385d SHA512 e6e9f7e617bf1d03bdf64a80e74ed24816b6c71607b976757a9962ae02a3b65be7006d84fd353dd5a63c8d0ef1ed385c3b73851b4a119c5ed48f3f86437cf250
+DIST hiredis-1.3.1.tar.gz 126467 BLAKE2B 5d6f09b2f11601837bdf55137361dfa01474cf816fa36056ed861be3423fbfb3ee96921ee65b5c50cf5eaedaeb45d543cc0795c7ae1f155bf5e45c85c2ecf7c5 SHA512 c7d852b57d8e7e534b5a79496956afe253b6868629344bd9c2d45304ef769cc52f18bb86e0dc8e4deb1222ea2d7d7fb5e3b14c2012bb44bb81ec25e6577d61ae
+DIST hiredis-1.4.1.tar.gz 175407 BLAKE2B 78e142a9c9bad04f8c921ac0be7bcd35aac5508a97f6eee133a0ed78aa76901f65d737145a7d0c56d5b91c8faef263bae4ff79d846e4690ff93fea1efc171762 SHA512 2f7a826032bedb85473b06684e075d9e57105068c44f21b00217f94a7ebbefaa8700c7bf4675c382060a7b00aceb01c90023fdfbe4024a412e05432b852d6dc2
diff --git a/dev-libs/hiredis/hiredis-1.1.1.ebuild b/dev-libs/hiredis/hiredis-1.1.1.ebuild
new file mode 100644
index 000000000000..42d3f7280790
--- /dev/null
+++ b/dev-libs/hiredis/hiredis-1.1.1.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Minimalistic C client library for the Redis database"
+HOMEPAGE="https://github.com/redis/hiredis"
+SRC_URI="https://github.com/redis/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+# Always check "Upgrading from ..." in README
+# e.g. https://github.com/redis/hiredis#upgrading-to-110
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
+IUSE="examples ssl static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="ssl? ( dev-libs/openssl:= )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-libs/libevent
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.0-disable-network-tests.patch
+)
+
+src_prepare() {
+ default
+
+ # use GNU ld syntax on Solaris
+ sed -i -e '/DYLIB_MAKE_CMD=.* -G/d' Makefile || die
+}
+
+_build() {
+ emake \
+ AR="$(tc-getAR)" \
+ CC="$(tc-getCC)" \
+ PREFIX="${EPREFIX}/usr" \
+ LIBRARY_PATH="$(get_libdir)" \
+ USE_SSL=$(usex ssl 1 0) \
+ TEST_ASYNC=$(usex test 1 0) \
+ DEBUG_FLAGS= \
+ OPTIMIZATION= \
+ "$@"
+}
+
+src_compile() {
+ # The static lib re-uses the same objects as the shared lib, so
+ # overhead is low w/creating it all the time. It's also needed
+ # by the tests.
+ _build dynamic static hiredis{,_ssl}.pc
+}
+
+src_test() {
+ # Compare with https://github.com/redis/hiredis/blob/648763c36e9f6493b13a77da35eb33ef0652b4e2/Makefile#L32
+ local REDIS_PID="${T}"/hiredis.pid
+ local REDIS_SOCK="${T}"/hiredis.sock
+ local REDIS_PORT=56379
+ local REDIS_TEST_CONFIG="
+ daemonize yes
+ pidfile ${REDIS_PID}
+ port ${REDIS_PORT}
+ bind 127.0.0.1
+ unixsocket //${REDIS_SOCK}
+ "
+
+ _build hiredis-test
+
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
+ ./hiredis-test -h 127.0.0.1 -p ${REDIS_PORT} -s ${REDIS_SOCK}
+ local ret=$?
+
+ kill "$(<"${REDIS_PID}")" || die
+ [[ ${ret} != "0" ]] && die "tests failed"
+}
+
+src_install() {
+ _build PREFIX="${ED}/usr" install
+
+ if ! use static-libs ; then
+ find "${ED}" -name '*.a' -delete || die
+ fi
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${PN}.pc
+
+ local DOCS=( CHANGELOG.md README.md )
+ use examples && DOCS+=( examples )
+ einstalldocs
+}
diff --git a/dev-libs/hiredis/hiredis-1.2.1.ebuild b/dev-libs/hiredis/hiredis-1.2.1.ebuild
new file mode 100644
index 000000000000..4ff53750bb37
--- /dev/null
+++ b/dev-libs/hiredis/hiredis-1.2.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Minimalistic C client library for the Redis database"
+HOMEPAGE="https://github.com/redis/hiredis"
+SRC_URI="https://github.com/redis/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+# Always check "Upgrading from ..." in README
+# e.g. https://github.com/redis/hiredis#upgrading-to-110
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
+IUSE="examples ssl static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="ssl? ( dev-libs/openssl:= )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-libs/libevent
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.0-disable-network-tests.patch
+ "${FILESDIR}"/${PN}-1.2.0-conditional-werror.patch # bug 930336
+)
+
+_build() {
+ local myconf=(
+ AR="$(tc-getAR)"
+ CC="$(tc-getCC)"
+ PREFIX="${EPREFIX}/usr"
+ LIBRARY_PATH="$(get_libdir)"
+ USE_SSL=$(usex ssl 1 0)
+ TEST_ASYNC=$(usex test 1 0)
+ DEBUG_FLAGS=
+ OPTIMIZATION=
+ USE_WERROR=0
+ )
+ emake "${myconf[@]}" "$@"
+}
+
+src_compile() {
+ # The static lib re-uses the same objects as the shared lib, so
+ # overhead is low w/creating it all the time. It's also needed
+ # by the tests.
+ _build dynamic static hiredis{,_ssl}.pc
+}
+
+src_test() {
+ # Compare with https://github.com/redis/hiredis/blob/648763c36e9f6493b13a77da35eb33ef0652b4e2/Makefile#L32
+ local REDIS_PID="${T}"/hiredis.pid
+ local REDIS_SOCK="${T}"/hiredis.sock
+ local REDIS_PORT=56379
+ local REDIS_TEST_CONFIG="
+ daemonize yes
+ pidfile ${REDIS_PID}
+ port ${REDIS_PORT}
+ bind 127.0.0.1
+ unixsocket //${REDIS_SOCK}
+ "
+
+ _build hiredis-test
+
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
+ ./hiredis-test -h 127.0.0.1 -p ${REDIS_PORT} -s ${REDIS_SOCK}
+ local ret=$?
+
+ kill "$(<"${REDIS_PID}")" || die
+ [[ ${ret} != "0" ]] && die "tests failed"
+}
+
+src_install() {
+ _build PREFIX="${ED}/usr" install
+
+ if ! use static-libs ; then
+ find "${ED}" -name '*.a' -delete || die
+ fi
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${PN}.pc
+
+ local DOCS=( CHANGELOG.md README.md )
+ use examples && DOCS+=( examples )
+ einstalldocs
+}
diff --git a/dev-libs/hiredis/hiredis-1.3.1.ebuild b/dev-libs/hiredis/hiredis-1.3.1.ebuild
new file mode 100644
index 000000000000..88feec003a39
--- /dev/null
+++ b/dev-libs/hiredis/hiredis-1.3.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Minimalistic C client library for the Redis database"
+HOMEPAGE="https://github.com/redis/hiredis"
+SRC_URI="https://github.com/redis/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+# Always check "Upgrading from ..." in README
+# e.g. https://github.com/redis/hiredis#upgrading-to-110
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
+IUSE="examples ssl static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="ssl? ( dev-libs/openssl:= )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-libs/libevent
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.0-disable-network-tests.patch
+)
+
+_build() {
+ local myconf=(
+ AR="$(tc-getAR)"
+ CC="$(tc-getCC)"
+ PREFIX="${EPREFIX}/usr"
+ LIBRARY_PATH="$(get_libdir)"
+ USE_SSL=$(usex ssl 1 0)
+ TEST_ASYNC=$(usex test 1 0)
+ DEBUG_FLAGS=
+ OPTIMIZATION=
+ USE_WERROR=0
+ )
+
+ emake "${myconf[@]}" "$@"
+}
+
+src_compile() {
+ # The static lib re-uses the same objects as the shared lib, so
+ # overhead is low w/creating it all the time. It's also needed
+ # by the tests.
+ _build dynamic static hiredis{,_ssl}.pc
+}
+
+src_test() {
+ # Compare with https://github.com/redis/hiredis/blob/648763c36e9f6493b13a77da35eb33ef0652b4e2/Makefile#L32
+ local REDIS_PID="${T}"/hiredis.pid
+ local REDIS_SOCK="${T}"/hiredis.sock
+ local REDIS_PORT=56379
+ local REDIS_TEST_CONFIG="
+ daemonize yes
+ pidfile ${REDIS_PID}
+ port ${REDIS_PORT}
+ bind 127.0.0.1
+ unixsocket //${REDIS_SOCK}
+ "
+
+ _build hiredis-test
+
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
+ ./hiredis-test -h 127.0.0.1 -p ${REDIS_PORT} -s ${REDIS_SOCK}
+ local ret=$?
+
+ kill "$(<"${REDIS_PID}")" || die
+ [[ ${ret} != "0" ]] && die "tests failed"
+}
+
+src_install() {
+ _build PREFIX="${ED}"/usr install
+
+ if ! use static-libs ; then
+ find "${ED}" -name '*.a' -delete || die
+ fi
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${PN}.pc
+
+ local DOCS=( CHANGELOG.md README.md )
+ use examples && DOCS+=( examples )
+ einstalldocs
+}
diff --git a/dev-libs/hiredis/hiredis-1.4.1.ebuild b/dev-libs/hiredis/hiredis-1.4.1.ebuild
new file mode 100644
index 000000000000..3e8f3809b399
--- /dev/null
+++ b/dev-libs/hiredis/hiredis-1.4.1.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Minimalistic C client library for the Redis database"
+HOMEPAGE="https://github.com/redis/hiredis"
+SRC_URI="https://github.com/redis/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+# Always check "Upgrading from ..." in README
+# e.g. https://github.com/redis/hiredis#upgrading-to--120-prerelease
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
+IUSE="examples ssl static-libs test"
+RESTRICT="!test? ( test )"
+
+DEPEND="ssl? ( dev-libs/openssl:= )"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-libs/libevent
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.1.0-disable-network-tests.patch
+)
+
+_build() {
+ local myconf=(
+ AR="$(tc-getAR)"
+ CC="$(tc-getCC)"
+ PREFIX="${EPREFIX}/usr"
+ LIBRARY_PATH="$(get_libdir)"
+ USE_SSL=$(usex ssl 1 0)
+ TEST_ASYNC=$(usex test 1 0)
+ DEBUG_FLAGS=
+ OPTIMIZATION=
+ USE_WERROR=0
+ )
+
+ emake "${myconf[@]}" "$@"
+}
+
+src_compile() {
+ # The static lib re-uses the same objects as the shared lib, so
+ # overhead is low w/creating it all the time. It's also needed
+ # by the tests.
+ _build dynamic static hiredis{,_ssl}.pc
+}
+
+src_test() {
+ # Compare with https://github.com/redis/hiredis/blob/648763c36e9f6493b13a77da35eb33ef0652b4e2/Makefile#L32
+ local REDIS_PID="${T}"/hiredis.pid
+ local REDIS_SOCK="${T}"/hiredis.sock
+ local REDIS_PORT=56379
+ local REDIS_TEST_CONFIG="
+ daemonize yes
+ pidfile ${REDIS_PID}
+ port ${REDIS_PORT}
+ bind 127.0.0.1
+ unixsocket //${REDIS_SOCK}
+ "
+
+ _build hiredis-test
+
+ "${EPREFIX}"/usr/sbin/redis-server - <<< "${REDIS_TEST_CONFIG}" || die
+ ./hiredis-test -h 127.0.0.1 -p ${REDIS_PORT} -s ${REDIS_SOCK}
+ local ret=$?
+
+ kill "$(<"${REDIS_PID}")" || die
+ [[ ${ret} != "0" ]] && die "tests failed"
+}
+
+src_install() {
+ _build PREFIX="${ED}"/usr install
+
+ if ! use static-libs ; then
+ find "${ED}" -name '*.a' -delete || die
+ fi
+
+ insinto /usr/$(get_libdir)/pkgconfig
+ doins ${PN}.pc
+
+ local DOCS=( CHANGELOG.md README.md )
+ use examples && DOCS+=( examples )
+ einstalldocs
+}
diff --git a/dev-libs/kobweb-bin/Manifest b/dev-libs/kobweb-bin/Manifest
index 87e4ff874580..cad12d609b45 100644
--- a/dev-libs/kobweb-bin/Manifest
+++ b/dev-libs/kobweb-bin/Manifest
@@ -1 +1 @@
-DIST kobweb-bin-0.9.21.tar 12871168 BLAKE2B 5ba44b7d707735c15acb67b86f61407b68a656399ce42ef49014f3ebaaac21caa72a5dfa1fe16444ece6ca9ad32ce388a09a1a6dc8518cbb83692c6d31aa57ff SHA512 0341dcc344d5dc1b5622845db41266101c52a97f21d1365fb8ad28942a1fe62f124781c808125ed6156ba175b32a7626a66aaff5fe9cc44d026886bcf0eea43f
+DIST kobweb-bin-0.9.23.tar 13505536 BLAKE2B 2ec820b39bad0cac557e60aa90d20f7b387e2df6236a30b67f8fd114e5d51ae042672ff7a36616007848d085c33f92a091c0de41bc86a4002cbbb8a113c00275 SHA512 169f04ce4d0d91dfc8227ccb48fed3edb7a95129c4ee251abca56d02847d1cc741cbb2180072d6b81a6e4c5fbd3b662ce431a93544d55b21aee6b27e853cb77d
diff --git a/dev-libs/kobweb-bin/kobweb-bin-0.9.21.ebuild b/dev-libs/kobweb-bin/kobweb-bin-0.9.23.ebuild
index cfc05ad98e5b..cfc05ad98e5b 100644
--- a/dev-libs/kobweb-bin/kobweb-bin-0.9.21.ebuild
+++ b/dev-libs/kobweb-bin/kobweb-bin-0.9.23.ebuild
diff --git a/dev-libs/libassuan/files/libassuan-3.0.0-remove-putc.patch b/dev-libs/libassuan/files/libassuan-3.0.0-remove-putc.patch
new file mode 100644
index 000000000000..191d0a9fbe8b
--- /dev/null
+++ b/dev-libs/libassuan/files/libassuan-3.0.0-remove-putc.patch
@@ -0,0 +1,28 @@
+From 69069bc63e6b1152e34e39bc322132fd4fd7284d Mon Sep 17 00:00:00 2001
+From: Werner Koch <wk@gnupg.org>
+Date: Tue, 25 Jun 2024 09:06:04 +0200
+Subject: [PATCH] Remove an declaration for an unused function
+
+* src/assuan-defs.h (putc_unlocked): Remove declaration.
+--
+
+It seems the test for putc_unlocked was remove a long time ago.
+GnuPG-bug-id: 7111
+---
+ src/assuan-defs.h | 3 ---
+ 1 file changed, 3 deletions(-)
+
+diff --git a/src/assuan-defs.h b/src/assuan-defs.h
+index faf9aae..5052e8e 100644
+--- a/src/assuan-defs.h
++++ b/src/assuan-defs.h
+@@ -431,9 +431,6 @@ char *stpcpy (char *dest, const char *src);
+ #define clearenv _assuan_clearenv
+ int setenv (const char *name, const char *value, int replace);
+ #endif
+-#ifndef HAVE_PUTC_UNLOCKED
+-int putc_unlocked (int c, FILE *stream);
+-#endif
+
+
+ #define DIM(v) (sizeof(v)/sizeof((v)[0]))
diff --git a/dev-libs/libassuan/libassuan-3.0.0-r1.ebuild b/dev-libs/libassuan/libassuan-3.0.0-r1.ebuild
index 44c1d4ef25c9..d50dba5a335d 100644
--- a/dev-libs/libassuan/libassuan-3.0.0-r1.ebuild
+++ b/dev-libs/libassuan/libassuan-3.0.0-r1.ebuild
@@ -27,6 +27,7 @@ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-gnupg )"
PATCHES=(
"${FILESDIR}"/${PN}-3.0.0-fix-typo.patch
+ "${FILESDIR}"/${PN}-3.0.0-remove-putc.patch
)
src_prepare() {
diff --git a/dev-libs/libassuan/libassuan-3.0.1-r1.ebuild b/dev-libs/libassuan/libassuan-3.0.1-r1.ebuild
index f3ce959fd799..f94fe8652cd0 100644
--- a/dev-libs/libassuan/libassuan-3.0.1-r1.ebuild
+++ b/dev-libs/libassuan/libassuan-3.0.1-r1.ebuild
@@ -27,6 +27,7 @@ BDEPEND="verify-sig? ( sec-keys/openpgp-keys-gnupg )"
PATCHES=(
"${FILESDIR}"/${PN}-3.0.0-fix-typo.patch
+ "${FILESDIR}"/${PN}-3.0.0-remove-putc.patch
)
src_prepare() {
diff --git a/dev-libs/sirit/Manifest b/dev-libs/sirit/Manifest
index d20608a918a4..122dd64c22f5 100644
--- a/dev-libs/sirit/Manifest
+++ b/dev-libs/sirit/Manifest
@@ -1,2 +1,2 @@
-DIST sirit-1.0.4.tar.gz 53372 BLAKE2B 4d297427a40a3a22c739579dbae9cfda9ed7f0f7f5ab7297bff92370c58e46478df16509a51bfb3ace1d852cd035255146adf78a7d2220ee01b1c581ab7a8606 SHA512 996d6f114ad2d1aced730e251fcfbea18cc7ab14fa1d3c52c8bc42cd211f005a9af523adf8705ef1e06e662df372a925629da04719b43da6a3c8b5dae881add0
DIST sirit-1.0.5.tar.gz 53514 BLAKE2B af2b0a0468b87d88ba570e6c9ea91da0425d00dcdf1c465ba640067168c8e3a5ff539093303eae4de961506e1d5c17a70e36c791e96ea3a1d71b76876f946ad2 SHA512 b7cd6885acae3fc8698288d19febba0dd45e4a02a2b6563d2eb995a988d0847046e8d16a5dea7e0bf832b4321bcec134cdbafc553f6ede039e4cf34525c5dce5
+DIST sirit-1.0.7.tar.gz 52891 BLAKE2B 505c1ab734af228d204dd42fd03c0368cfea8a0f4d428c69279167ab93c17c86f1b5de7fd8c3542416a268b6445257aabe54115aed0960101cc150d9be975cfb SHA512 92512b9c100b9cbf98ab658eeaf04ea0fbe4a99b79cff1fabc220320b008fdf91281476bdaa835a4d2875b7826318cf7d4da293a18b6afc6845f3db969af4e3a
diff --git a/dev-libs/sirit/sirit-1.0.4.ebuild b/dev-libs/sirit/sirit-1.0.7.ebuild
index 46fbcf0545ce..3e09d037a860 100644
--- a/dev-libs/sirit/sirit-1.0.4.ebuild
+++ b/dev-libs/sirit/sirit-1.0.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/dev-libs/tree-sitter-javascript/tree-sitter-javascript-0.25.0.ebuild b/dev-libs/tree-sitter-javascript/tree-sitter-javascript-0.25.0.ebuild
index eac04914fad1..bfa9d9e5f48b 100644
--- a/dev-libs/tree-sitter-javascript/tree-sitter-javascript-0.25.0.ebuild
+++ b/dev-libs/tree-sitter-javascript/tree-sitter-javascript-0.25.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -12,4 +12,4 @@ HOMEPAGE="https://github.com/tree-sitter/tree-sitter-javascript"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
diff --git a/dev-libs/tree-sitter-python/tree-sitter-python-0.25.0.ebuild b/dev-libs/tree-sitter-python/tree-sitter-python-0.25.0.ebuild
index b03bc83f1094..fc28f8c29809 100644
--- a/dev-libs/tree-sitter-python/tree-sitter-python-0.25.0.ebuild
+++ b/dev-libs/tree-sitter-python/tree-sitter-python-0.25.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2025 Gentoo Authors
+# Copyright 1999-2026 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -12,4 +12,4 @@ HOMEPAGE="https://github.com/tree-sitter/tree-sitter-python"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ~ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
diff --git a/dev-libs/unordered_dense/Manifest b/dev-libs/unordered_dense/Manifest
index 0b55e2651613..9aa5e3fd32bf 100644
--- a/dev-libs/unordered_dense/Manifest
+++ b/dev-libs/unordered_dense/Manifest
@@ -1,3 +1,4 @@
DIST unordered_dense-4.0.1.tar.gz 364688 BLAKE2B 190ecdf53c2e476702e362e474dc2f692fd6dd6b15e9313a59710dce3f520aa3f53304e52a00f5d81194a6dbff7346c145be3ab0b083246df018e1bbedadb736 SHA512 105eb88deeb89c9424973d2b5425a6e176f3f66a45f11cf6ed520cce177918cd5345e840d10561f6f790b6cc11b7b6e1357bd2fc4d199254a360de88ce553fe0
DIST unordered_dense-4.4.0.tar.gz 900081 BLAKE2B cffac8fa38ec4779a5d05e212d185a54e0d3014c894efaf0bd76bdc8408fed6b9cb8e01b0d2fd7cefbe1abe34cdff00c7f1df1f5627379afa1e2f830f2527c83 SHA512 82724dd3651f520a240b131fa7cac209d844b9f3a54ea36c8cbb125cb42fdbf5f38d96935f2999e5bf04c447b2b9fde4ebc740decfd7d3d4b7d45177d4f26b58
DIST unordered_dense-4.8.1.tar.gz 915251 BLAKE2B 6830cfc922fcd681118a5eb4900cc3c94f28505999e39392fa69ae77e03f381155c28a83c7bd04d2191693fc8b81e29c313ab6c0a2d1887ed6849dcff7dda78f SHA512 b98b5d4d96f8e0081b184d6c4c1181fae4e41723b54bed4296717d7f417348b48fad0bbcc664cac142b8c8a47e95aa57c1eb1cf6caa855fd782fad3e3ab99e5e
+DIST unordered_dense-4.9.2.tar.gz 1347717 BLAKE2B 8ceeb7e6bf55d920a22666649796418ceffe52022e531e7d34edc0dc4354706d72ea2fdbcc4578329f7842fef3ede748574a37bc6d1c2807f2daa40cdfb9f116 SHA512 2ea6cccd7068366f723c6d63b5e70de07d844c1bcafe57db07dd7bd0f1ae1a29664ba6d813f6b35e0ee61c8462a817f74768f5a05c0d682840c2f74f34c17e38
diff --git a/dev-libs/unordered_dense/unordered_dense-4.9.2.ebuild b/dev-libs/unordered_dense/unordered_dense-4.9.2.ebuild
new file mode 100644
index 000000000000..48a540b3b02f
--- /dev/null
+++ b/dev-libs/unordered_dense/unordered_dense-4.9.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="A fast and densely stored hashmap and hashset"
+HOMEPAGE="https://github.com/martinus/unordered_dense"
+
+if [[ "${PV}" == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/martinus/${PN}.git"
+else
+ SRC_URI="https://github.com/martinus/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+ S="${WORKDIR}/${P}"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+RESTRICT="test"
+
+src_configure() {
+ local mycmakeargs=(
+ -D CMAKE_INSTALL_LIBDIR="${EPREFIX}/usr/$(get_libdir)"
+ -D BUILD_SHARED_LIBS=ON
+ )
+ cmake_src_configure
+}
diff --git a/dev-libs/xdna-driver/xdna-driver-999999.ebuild b/dev-libs/xdna-driver/xdna-driver-999999.ebuild
index 40e507f4b2a9..dd443ab5a7b1 100644
--- a/dev-libs/xdna-driver/xdna-driver-999999.ebuild
+++ b/dev-libs/xdna-driver/xdna-driver-999999.ebuild
@@ -45,7 +45,7 @@ else
done
fi
-S="${WORKDIR}/${P}/src/driver/amdxdna"
+S="${WORKDIR}/${P}/drivers/accel/amdxdna"
LICENSE="GPL-2 linux-fw-redistributable"
SLOT="0"
# Re-use compress-* USE flags from sys-kernel/linux-firmware.
@@ -121,11 +121,12 @@ src_prepare() {
}
src_configure() {
- cd "${WORKDIR}/${P}/src" || die
+ pushd "${WORKDIR}/${P}/" || die
KERNEL_SRC="${KERNEL_DIR}" \
KERNEL_VER="${KV_FULL}" \
ARCH="$(tc-arch-kernel)" \
- CC="${KERNEL_CC}" ./driver/tools/configure_kernel.sh || die
+ CC="${KERNEL_CC}" ./drivers/accel/tools/configure_kernel.sh || die
+ popd || die
}
src_compile() {